<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Storage/SQLiteStorage/include/SQLiteStorage/SQLiteUtils.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d29c5f5a2915d6c5388c9daae4f109c7.html">Storage</a></li><li class="navelem"><a class="el" href="dir_74c6299ccbc82b9602ff2a1d0fd58149.html">SQLiteStorage</a></li><li class="navelem"><a class="el" href="dir_e9e65e5cdb5cac6022982370ecf72758.html">include</a></li><li class="navelem"><a class="el" href="dir_527e0f2196f10a6ada1f9f8fee22d911.html">SQLiteStorage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">SQLiteUtils.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
<code>#include &lt;sqlite3.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_s_q_lite_database_8h_source.html">SQLiteStorage/SQLiteDatabase.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SQLiteUtils.h:</div>
<div class="dyncontent">
<div class="center"><img src="_s_q_lite_utils_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_utils_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_utils_8h" id="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_utils_8h">
<area shape="rect" id="node4" href="_s_q_lite_database_8h.html" title="SQLiteStorage/SQLiteDatabase.h" alt="" coords="82,105,303,131"/>
<area shape="rect" id="node7" href="_s_q_lite_statement_8h.html" title="SQLiteStorage/SQLiteStatement.h" alt="" coords="245,179,470,204"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_s_q_lite_utils_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_utils_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_utils_8hdep" id="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_utils_8hdep">
<area shape="rect" id="node2" href="_s_q_lite_alert_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/Storage/SQLiteAlert\lStorage.cpp" alt="" coords="507,105,710,171"/>
<area shape="rect" id="node3" href="_bluetooth_storage_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/BluetoothStorageInterface.h" alt="" coords="734,105,925,171"/>
<area shape="rect" id="node20" href="_s_q_lite_notifications_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/src/SQLiteNotifications\lStorage.cpp" alt="" coords="949,105,1185,171"/>
<area shape="rect" id="node21" href="_s_q_lite_setting_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Settings/src/SQLiteSettingStorage.cpp" alt="" coords="1209,112,1461,164"/>
<area shape="rect" id="node22" href="_s_q_lite_message_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CertifiedSender\l/src/SQLiteMessageStorage.cpp" alt="" coords="1486,112,1699,164"/>
<area shape="rect" id="node23" href="_s_q_lite_c_b_l_auth_delegate_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/Authorization\l/CBLAuthDelegate/src/SQLiteCBLAuth\lDelegateStorage.cpp" alt="" coords="1723,105,1974,171"/>
<area shape="rect" id="node24" href="_s_q_lite_database_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/src/SQLiteDatabase.cpp" alt="" coords="1998,112,2186,164"/>
<area shape="rect" id="node25" href="_s_q_lite_misc_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/src/SQLiteMiscStorage.cpp" alt="" coords="2210,112,2398,164"/>
<area shape="rect" id="node26" href="_s_q_lite_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/src/SQLiteUtils.cpp" alt="" coords="2422,112,2610,164"/>
<area shape="rect" id="node4" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="363,332,590,397"/>
<area shape="rect" id="node15" href="_bluetooth_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/Bluetooth.h" alt="" coords="615,219,802,284"/>
<area shape="rect" id="node17" href="_s_q_lite_bluetooth_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/SQLiteBluetoothStorage.h" alt="" coords="857,219,1045,284"/>
<area shape="rect" id="node18" href="_s_q_lite_bluetooth_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/src/SQLiteBluetooth\lStorage.cpp" alt="" coords="1109,332,1313,397"/>
<area shape="rect" id="node5" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="80,445,308,497"/>
<area shape="rect" id="node6" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="230,545,453,597"/>
<area shape="rect" id="node13" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="384,445,598,497"/>
<area shape="rect" id="node7" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="6,645,224,697"/>
<area shape="rect" id="node12" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="248,645,454,697"/>
<area shape="rect" id="node8" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="5,745,225,797"/>
<area shape="rect" id="node11" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="249,745,451,797"/>
<area shape="rect" id="node9" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="16,845,214,884"/>
<area shape="rect" id="node10" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="351,845,631,884"/>
<area shape="rect" id="node14" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="528,552,803,591"/>
<area shape="rect" id="node16" href="_bluetooth_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/src/Bluetooth.cpp" alt="" coords="614,339,802,391"/>
<area shape="rect" id="node19" href="_s_q_lite_bluetooth_storage_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/test/SQLiteBluetooth\lStorageTest.cpp" alt="" coords="878,332,1085,397"/>
</map>
</div>
</div>
<p><a href="_s_q_lite_utils_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1storage"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage.html">alexaClientSDK::storage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html">alexaClientSDK::storage::sqliteStorage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a62feeb7961c4b55b43ac35b2fe66cdf0"><td class="memItemLeft" align="right" valign="top">sqlite3 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a62feeb7961c4b55b43ac35b2fe66cdf0">alexaClientSDK::storage::sqliteStorage::createSQLiteDatabase</a> (const std::string &amp;filePath)</td></tr>
<tr class="separator:a62feeb7961c4b55b43ac35b2fe66cdf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a268b749423c787170850ae55fb589f74"><td class="memItemLeft" align="right" valign="top">sqlite3 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a268b749423c787170850ae55fb589f74">alexaClientSDK::storage::sqliteStorage::openSQLiteDatabase</a> (const std::string &amp;filePath)</td></tr>
<tr class="separator:a268b749423c787170850ae55fb589f74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4065a4e5f851ff9adc3ed32c61dba963"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a4065a4e5f851ff9adc3ed32c61dba963">alexaClientSDK::storage::sqliteStorage::closeSQLiteDatabase</a> (sqlite3 *dbHandle)</td></tr>
<tr class="separator:a4065a4e5f851ff9adc3ed32c61dba963"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0fc61e51b07d23d55a8a4ca4659f476"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#ad0fc61e51b07d23d55a8a4ca4659f476">alexaClientSDK::storage::sqliteStorage::performQuery</a> (sqlite3 *dbHandle, const std::string &amp;sqlString)</td></tr>
<tr class="separator:ad0fc61e51b07d23d55a8a4ca4659f476"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4a64573a562e76bf44d1d71cfb132f3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#ae4a64573a562e76bf44d1d71cfb132f3">alexaClientSDK::storage::sqliteStorage::getNumberTableRows</a> (SQLiteDatabase *db, const std::string &amp;tableName, int *numberRows)</td></tr>
<tr class="separator:ae4a64573a562e76bf44d1d71cfb132f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57b3356f1cdadb940ced1af0c0493980"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a57b3356f1cdadb940ced1af0c0493980">alexaClientSDK::storage::sqliteStorage::getTableMaxIntValue</a> (SQLiteDatabase *db, const std::string &amp;tableName, const std::string &amp;columnName, int *maxId)</td></tr>
<tr class="separator:a57b3356f1cdadb940ced1af0c0493980"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b7c74efb0b3b32e22e07408c9bd3f60"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a8b7c74efb0b3b32e22e07408c9bd3f60">alexaClientSDK::storage::sqliteStorage::tableExists</a> (sqlite3 *dbHandle, const std::string &amp;tableName)</td></tr>
<tr class="separator:a8b7c74efb0b3b32e22e07408c9bd3f60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d5fe1638fedd28b1a65b21b5a4d5286"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a3d5fe1638fedd28b1a65b21b5a4d5286">alexaClientSDK::storage::sqliteStorage::clearTable</a> (sqlite3 *dbHandle, const std::string &amp;tableName)</td></tr>
<tr class="separator:a3d5fe1638fedd28b1a65b21b5a4d5286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77305534ef1a6a1c0c8a4835709eb858"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a77305534ef1a6a1c0c8a4835709eb858">alexaClientSDK::storage::sqliteStorage::dropTable</a> (sqlite3 *dbHandle, const std::string &amp;tableName)</td></tr>
<tr class="separator:a77305534ef1a6a1c0c8a4835709eb858"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
